Skip to main content

/webhooks/rest/v1/webhooks/template/{id} REST API Endpoint

Create webhook from template.

Updated on
Jun 26, 2026

Path Parameters

templateId
string
REQUIRED

The template ID.

evmWalletFilterevmContractEventsevmAbiFiltersolanaWalletFilterbitcoinWalletFilterxrplWalletFilterhyperliquidWalletEventsFilterstellarWalletTransactionsSourceAccountFilter

Body Parameters

name
string
REQUIRED

A name for your webhook.

network
string
REQUIRED

The network for this webhook.

notification_email
string

Notify when webhook is terminated.

destination_attributes
object
REQUIRED

Webhook destination configuration including URL, security token, and compression settings.

url
string

The URL where webhook data will be sent.

security_token
string

Security token for webhook authentication. If no value is included, we will generate a token for this Webhook.

compression
string

Compression type for webhook payloads.

nonegzip
templateArgs
object
REQUIRED
Template-specific arguments. Select a template to see its required arguments.
Arguments for the evmWalletFilter template.
walletsListName
string
REQUIRED
Name of a kv store list containing EVM wallet addresses to monitor.
Arguments for the evmContractEvents template. At least one of contractsListName or eventHashesListName should be provided.
contractsListName
string
Name of a kv store list containing contract addresses to monitor.
eventHashesListName
string
Name of a kv store list containing event signature hashes to monitor.
Arguments for the evmAbiFilter template.
abiJson
string
REQUIRED
ABI JSON string.
contractsListName
string
Name of a kv store list containing contract addresses to monitor.
Arguments for the solanaWalletFilter template.
accountsListName
string
REQUIRED
Name of a kv store list containing Solana account addresses to monitor.
Arguments for the bitcoinWalletFilter template.
walletsListName
string
REQUIRED
Name of a kv store list containing Bitcoin wallet addresses to monitor.
Arguments for the xrplWalletFilter template.
walletsListName
string
REQUIRED
Name of a kv store list containing XRP Ledger wallet addresses to monitor.
Arguments for the hyperliquidWalletEventsFilter template.
walletsListName
string
REQUIRED
Name of a kv store list containing Hyperliquid wallet addresses to monitor.
Arguments for the stellarWalletTransactionsSourceAccountFilter template.
walletsListName
string
REQUIRED
Name of a kv store list containing Stellar wallet addresses to monitor.

Returns

id
string

The ID of the webhook

created_at
string

The timestamp when the webhook was created

name
string

The webhook name

network
string

The network of the webhook

notification_email
string

Email for termination notifications

destination_attributes
object

Webhook destination configuration

url
string

The URL where webhook data is sent

security_token
string

Security token for webhook authentication

compression
string

Compression type for webhook payloads

sequence
integer

The last delivered block from the data range

status
string

The current status of the webhook

templateId
string

The template ID used to create this webhook.

templateArgs
object

The template arguments (kv store list names).

Request
Don't have an account yet?
Create your Quicknode endpoint in seconds and start building
Get started for free